This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### textureMode()
Examples |
    size(100, 100, P3D);
    noStroke();
    PImage img = loadImage("laDefense.jpg");
    textureMode(IMAGE);
    beginShape();
    texture(img);
    vertex(10, 20, 0, 0);
    vertex(80, 5, 100, 0);
    vertex(95, 90, 100, 100);
    vertex(40, 95, 0, 100);
    endShape();
    size(100, 100, P3D);
    noStroke();
    PImage img = loadImage("laDefense.jpg");
    textureMode(NORMAL);
    beginShape();
    texture(img);
    vertex(10, 20, 0, 0);
    vertex(80, 5, 1, 0);
    vertex(95, 90, 1, 1);
    vertex(40, 95, 0, 1);
    endShape();
Description | Sets the coordinate space for texture mapping. The default mode is IMAGE, which refers to the actual coordinates of the image. NORMAL refers to a normalized space of values ranging from 0 to 1. This function only works with the P2D and P3D renderers. With IMAGE, if an image is 100 x 200 pixels, mapping the image onto the entire size of a quad would require the points (0,0) (0,100) (100,200) (0,200). The same mapping in NORMAL is (0,0) (0,1) (1,1) (0,1).
Syntax |
    textureMode(mode)
Parameters |
mode | int: either IMAGE or NORMAL
Returns | void
Related | texture() textureWrap()

Updated on October 26, 2013 08:58:31pm PDT